Subject: Re: [net-next 05/14 v2] i40evf: fix up strings in init task

From: Aaron Brown <[email-masked]>
Date: Wed, 19 Feb 2014 21:16:12 -0800

On Wed, 2014-02-19 at 20:58 -0800, Joe Perches wrote:
> On Wed, 2014-02-19 at 20:51 -0800, Aaron Brown wrote:
> > On Wed, 2014-02-19 at 20:09 -0800, Joe Perches wrote:
> > > On Wed, 2014-02-19 at 19:49 -0800, Aaron Brown wrote:
> > > > Make sure errors are reported at the correct log level, quit printing
> > > > the function name every time, and make the messages more consistent in
> > > > format.
> > > []
> > > > diff --git a/drivers/net/ethernet/intel/i40evf/i40evf_main.c b/drivers/net/ethernet/intel/i40evf/i40evf_main.c
> []
> > > +		dev_info(&pdev->dev, "Invalid MAC address %pMAC, using random\n",
> > > > +			 adapter->hw.mac.addr);
> > > The "AC" after %pM is superfluous.
> > Thanks Joe, guess I'll be making another spin...
> 
> Or send another patch after this one because there
> are 2 %pMAC uses in i40evf_main.c

That works.  I'll bug Mitch to look for them when he does a hunt for other OOM messages that he said he'd do and send them up later.  So I guess this patch can stand for now.